[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TComponentList.Destroy

Destroys the instance

## Declaration

Source position: contnrs.pp line 105

`public destructor TComponentList.Destroy; override;`

## Description

Destroy unhooks the free notification handler and then calls the inherited destroy to clean up the TComponentList instance.

## Errors

None.

## See also

TObjectList |  | List to manage object instances.
#rtl.classes.TComponent